package com.nokia.sms;

import com.nokia.sms.vo.QueryBlackDTO;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.web.client.RestTemplate;

@Slf4j
@SpringBootTest
class ApiTest {

    @Test
    void test() {
        String url = "http://10.17.182.24:8082/task/queryBlack";
        String phone = "18630000920";
        RestTemplate restTemplate = new RestTemplate();
        String responseString = restTemplate.postForObject(url, new QueryBlackDTO(phone), String.class);
        log.info(responseString);
    }
}
